package com.patzn.lims.excel.eto;


import com.patzn.poibox.annotations.Column;

public class LmsStaffETO {
    @Column(name = "序号")
    private String sn;

    @Column(name = "工号")
    private String number;

    @Column(name = "人员姓名")
    private String name;

    @Column(name = "所属部门")
    private String depart;

    @Column(name = "员工等级")
    private String rank;

    @Column(name = "性别")
    private String sex;

    @Column(name = "年龄")
    private Integer age;

    @Column(name = "入职时间")
    private String entryTime;

    @Column(name = "参加工作时间")
    private String workTime;

    @Column(name = "专业")
    private String profession;

    @Column(name = "学历")
    private String education;

    @Column(name = "毕业时间")
    private String graduationTime;

    @Column(name = "毕业院校")
    private String graduatedSchool;

    @Column(name = "岗位")
    public String post;

    @Column(name = "备注")
    private String remark;



    @Column(name = "状态")
    public String status;

    @Column(name = "是否内审员")
    public String ifAuditor;

    @Column(name = "试用期开始时间")
    private String probatioStartDate;

    @Column(name ="试用期结束时间")
    private String probatioEndDate;

    @Column(name = "入职转正结束时间")
    private String becomeDate;

    @Column(name ="合同到期时间")
    private String expireDate;




    public String getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(String expireDate) {
        this.expireDate = expireDate;
    }


    public String getIfAuditor() {
        return ifAuditor;
    }


    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }


    public void setIfAuditor(String ifAuditor) {
        this.ifAuditor = ifAuditor;
    }

    public String getProbatioStartDate() {
        return probatioStartDate;
    }

    public void setProbatioStartDate(String probatioStartDate) {
        this.probatioStartDate = probatioStartDate;
    }

    public String getProbatioEndDate() {
        return probatioEndDate;
    }

    public void setProbatioEndDate(String probatioEndDate) {
        this.probatioEndDate = probatioEndDate;
    }

    public String getBecomeDate() {
        return becomeDate;
    }

    public void setBecomeDate(String becomeDate) {
        this.becomeDate = becomeDate;
    }
    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getEntryTime() {
        return entryTime;
    }

    public void setEntryTime(String entryTime) {
        this.entryTime = entryTime;
    }

    public String getWorkTime() {
        return workTime;
    }

    public void setWorkTime(String workTime) {
        this.workTime = workTime;
    }

    public String getProfession() {
        return profession;
    }

    public void setProfession(String profession) {
        this.profession = profession;
    }

    public String getEducation() {
        return education;
    }

    public void setEducation(String education) {
        this.education = education;
    }

    public String getGraduationTime() {
        return graduationTime;
    }

    public void setGraduationTime(String graduationTime) {
        this.graduationTime = graduationTime;
    }

    public String getGraduatedSchool() {
        return graduatedSchool;
    }

    public void setGraduatedSchool(String graduatedSchool) {
        this.graduatedSchool = graduatedSchool;
    }

    public String getPost() {
        return post;
    }

    public void setPost(String post) {
        this.post = post;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }


    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDepart() {
        return depart;
    }

    public void setDepart(String depart) {
        this.depart = depart;
    }

    public String getRank() {
        return rank;
    }

    public void setRank(String rank) {
        this.rank = rank;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
